Package org.apache.storm.submit.dependency

## Class DependencyResolver

- java.lang.Object
- - org.apache.storm.submit.dependency.DependencyResolver

-     public class DependencyResolver
      extends Object

  Resolver class of dependencies.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DependencyResolver​(String localRepoPath)` | Constuctor.
    `DependencyResolver​(String localRepoPath, List<org.eclipse.aether.repository.RemoteRepository> repositories)` | Constuctor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.eclipse.aether.resolution.ArtifactResult>` | `resolve​(List<org.eclipse.aether.graph.Dependency> dependencies)` | Resolve dependencies and return downloaded information of artifacts.
    `void` | `setProxy​(org.eclipse.aether.repository.Proxy proxyParam)` | Setter of proxy if needed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyResolver

          public DependencyResolver​(String localRepoPath)

      Constuctor.
      Parameters:
        `localRepoPath` - the directory of local repository

    - #### DependencyResolver

          public DependencyResolver​(String localRepoPath,
                                    List<org.eclipse.aether.repository.RemoteRepository> repositories)

      Constuctor.
      Parameters:
        `localRepoPath` - the directory of local repository
        `repositories` - list of remote repositories

  - ### Method Detail

    - #### setProxy

          public void setProxy​(org.eclipse.aether.repository.Proxy proxyParam)

      Setter of proxy if needed.
      Parameters:
        `proxyParam` - proxy object

    - #### resolve

          public List<org.eclipse.aether.resolution.ArtifactResult> resolve​(List<org.eclipse.aether.graph.Dependency> dependencies)
                                                                     throws org.eclipse.aether.resolution.DependencyResolutionException,
                                                                            org.eclipse.aether.resolution.ArtifactResolutionException

      Resolve dependencies and return downloaded information of artifacts.
      Parameters:
        `dependencies` - the list of dependency
      Returns:
        downloaded information of artifacts
      Throws:
        `org.eclipse.aether.resolution.DependencyResolutionException` - If the dependency tree could not be built or any dependency artifact could not be resolved.
        `org.eclipse.aether.resolution.ArtifactResolutionException` - If the artifact could not be resolved.